diff --git a/src/main/java/net/minecraft/core/block/tag/BlockTags.java b/src/main/java/net/minecraft/core/block/tag/BlockTags.java
index 2969d81d7..6d9b30d1c 100644
--- a/src/main/java/net/minecraft/core/block/tag/BlockTags.java
+++ b/src/main/java/net/minecraft/core/block/tag/BlockTags.java
@@ -2,25 +2,26 @@ package net.minecraft.core.block.tag;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.CactusBlock;
-import net.minecraft.core.block.ChainlinkFenceBlock;
-import net.minecraft.core.block.FenceBlock;
-import net.minecraft.core.block.FireBlock;
-import net.minecraft.core.block.FireflyLanternBlock;
-import net.minecraft.core.block.FlowerBlock;
-import net.minecraft.core.block.FluidBlock;
-import net.minecraft.core.block.JarBlock;
-import net.minecraft.core.block.SugarcaneBlock;
-import net.minecraft.core.block.TallGrassBlock;
+import net.minecraft.core.block.BlockCactus;
+import net.minecraft.core.block.BlockFence;
+import net.minecraft.core.block.BlockFenceChainlink;
+import net.minecraft.core.block.BlockFlower;
+import net.minecraft.core.block.BlockFire;
+import net.minecraft.core.block.BlockFluid;
+import net.minecraft.core.block.BlockLanternFirefly;
+import net.minecraft.core.block.BlockJar;
+import net.minecraft.core.block.BlockSugarcane;
+import net.minecraft.core.block.BlockTallGrass;
 import net.minecraft.core.data.tag.Tag;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
+import net.minecraft.core.entity.monster.MobZombiePig;
 import net.minecraft.core.entity.vehicle.BoatEntity;
-import net.minecraft.core.item.ToolShearsItem;
-import net.minecraft.core.item.tool.AxeToolItem;
-import net.minecraft.core.item.tool.HoeToolItem;
-import net.minecraft.core.item.tool.PickaxeToolItem;
-import net.minecraft.core.item.tool.ShovelToolItem;
-import net.minecraft.core.item.tool.SwordToolItem;
+import net.minecraft.core.item.tool.ItemToolPickaxe;
+import net.minecraft.core.item.tool.ItemToolShears;
+import net.minecraft.core.item.tool.ItemToolAxe;
+import net.minecraft.core.item.tool.ItemToolHoe;
+import net.minecraft.core.item.tool.ItemToolShovel;
+import net.minecraft.core.item.tool.ItemToolSword;
 import net.minecraft.core.world.generate.CavesLargeFeature;
 import org.slf4j.Logger;
 
@@ -35,27 +36,27 @@ public abstract class BlockTags
 {
     private static final Logger LOGGER = LogUtils.getLogger();
     /**
-     * block can be mined by {@link PickaxeToolItem PickaxeToolItem}.
+     * block can be mined by {@link ItemToolPickaxe ItemToolPickaxe}.
      */
     public static Tag<Block> MINEABLE_BY_PICKAXE = Tag.of("mineable_by_pickaxe");
     /**
-     * block can be mined by {@link AxeToolItem AxeToolItem}.
+     * block can be mined by {@link ItemToolAxe ItemToolAxe}.
      */
     public static Tag<Block> MINEABLE_BY_AXE = Tag.of("mineable_by_axe");
     /**
-     * block can be mined by {@link ShovelToolItem ShovelToolItem}.
+     * block can be mined by {@link ItemToolShovel ItemToolShovel}.
      */
     public static Tag<Block> MINEABLE_BY_SHOVEL = Tag.of("mineable_by_shovel");
     /**
-     * block can be mined by {@link HoeToolItem HoeToolItem}.
+     * block can be mined by {@link ItemToolHoe ItemToolHoe}.
      */
     public static Tag<Block> MINEABLE_BY_HOE = Tag.of("mineable_by_hoe");
     /**
-     * block can be mined by {@link SwordToolItem SwordToolItem}.
+     * block can be mined by {@link ItemToolSword ItemToolSword}.
      */
     public static Tag<Block> MINEABLE_BY_SWORD = Tag.of("mineable_by_sword");
     /**
-     * block can be mined by {@link ToolShearsItem ItemShears}.
+     * block can be mined by {@link ItemToolShears ItemShears}.
      */
     public static Tag<Block> MINEABLE_BY_SHEARS = Tag.of("mineable_by_shears");
     /**
@@ -67,15 +68,15 @@ public abstract class BlockTags
      */
     public static Tag<Block> IS_LAVA = Tag.of("is_lava");
     /**
-     * {@link FlowerBlock FlowerBlock}-derived blocks can be placed on this block.
+     * {@link BlockFlower BlockFlower}-derived blocks can be placed on this block.
      */
     public static Tag<Block> GROWS_FLOWERS = Tag.of("grows_flowers");
     /**
-     * {@link SugarcaneBlock SugarcaneBlock} can be placed on this block.
+     * {@link BlockSugarcane BlockSugarcane} can be placed on this block.
      */
     public static Tag<Block> GROWS_SUGAR_CANE = Tag.of("grows_sugar_cane");
     /**
-     * {@link CactusBlock CactusBlock} can be placed on this block.
+     * {@link BlockCactus BlockCactus} can be placed on this block.
      */
     public static Tag<Block> GROWS_CACTI = Tag.of("grows_cacti");
     /**
@@ -84,11 +85,11 @@ public abstract class BlockTags
     public static Tag<Block> GROWS_TREES = Tag.of("grows_trees");
     public static Tag<Block> GROWS_SPINIFEX = Tag.of("grows_spinifex");
     /**
-     * This block is destroyed when {@link FluidBlock FluidBlock}-derived blocks try to move into its space.
+     * This block is destroyed when {@link BlockFluid BlockFluid}-derived blocks try to move into its space.
      */
     public static Tag<Block> BROKEN_BY_FLUIDS = Tag.of("broken_by_fluids");
     /**
-     * The block can have other blocks placed "into" it, like how {@link TallGrassBlock TallGrassBlock} behaves.
+     * The block can have other blocks placed "into" it, like how {@link BlockTallGrass BlockTallGrass} behaves.
      */
     public static Tag<Block> PLACE_OVERWRITES = Tag.of("place_overwrites");
     /**
@@ -96,11 +97,11 @@ public abstract class BlockTags
      */
     public static Tag<Block> PASSIVE_MOBS_SPAWN = Tag.of("passive_mobs_spawn");
     /**
-     * {@link FireflyClusterMob FireflyClusterMob} can spawn on this block.
+     * {@link MobFireflyCluster MobFireflyCluster} can spawn on this block.
      */
     public static Tag<Block> FIREFLIES_CAN_SPAWN = Tag.of("fireflies_can_spawn");
     /**
-     * {@link FenceBlock FenceBlock} visually connects to this block.
+     * {@link BlockFence BlockFence} visually connects to this block.
      */
     public static Tag<Block> FENCES_CONNECT = Tag.of("fences_connect");
     /**
@@ -108,7 +109,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> NOT_IN_CREATIVE_MENU = Tag.of("not_in_creative_menu");
     /**
-     * This block drops as if using a silk touch tool when broken by {@link ToolShearsItem ItemShears}.
+     * This block drops as if using a silk touch tool when broken by {@link ItemToolShears ItemShears}.
      */
     public static Tag<Block> SHEARS_DO_SILK_TOUCH = Tag.of("shears_do_silk_touch");
     /**
@@ -124,7 +125,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> CAVES_CUT_THROUGH = Tag.of("caves_cut_through");
     /**
-     * Blocks such as {@link FireflyLanternBlock FireflyLanternBlock} can hang off this block.
+     * Blocks such as {@link BlockLanternFirefly BlockLanternFirefly} can hang off this block.
      */
     public static Tag<Block> CAN_HANG_OFF = Tag.of("can_hang_off");
     /**
@@ -132,7 +133,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> OVERRIDE_STEPSOUND = Tag.of("override_stepsound");
     /**
-     * {@link ChainlinkFenceBlock ChainlinkFenceBlock} visually connects to this block.
+     * {@link BlockFenceChainlink BlockFenceChainlink} visually connects to this block.
      */
     public static Tag<Block> CHAINLINK_FENCES_CONNECT = Tag.of("chainlink_fences_connect");
     /**
@@ -140,11 +141,11 @@ public abstract class BlockTags
      */
     public static Tag<Block> PREVENT_MOB_SPAWNS = Tag.of("prevent_mob_spawns");
     /**
-     * Block can be planted inside a {@link JarBlock JarBlock}
+     * Block can be planted inside a {@link BlockJar JarBlock}
      */
     public static Tag<Block> PLANTABLE_IN_JAR = Tag.of("plantable_in_jar");
     /**
-     * Block allows fire to burn forever on it {@link FireBlock FireBlock}
+     * Block allows fire to burn forever on it {@link BlockFire BlockFire}
      */
     public static Tag<Block> INFINITE_BURN = Tag.of("infinite_burn");
     /**
@@ -168,7 +169,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> PIGS_FAVOURITE_BLOCK = Tag.of("pigs_favourite_block");
     /**
-     * Nether mobs can spawn on this block {@link net.minecraft.core.entity.monster.ZombiePigMob ZombiePigMob}}.
+     * Nether mobs can spawn on this block {@link MobZombiePig MobZombiePig}}.
      */
     public static Tag<Block> NETHER_MOBS_SPAWN = Tag.of("nether_mobs_spawn");
     /**
diff --git a/src/main/java/net/minecraft/core/crafting/ContainerListener.java b/src/main/java/net/minecraft/core/crafting/ContainerListener.java
index 62c8e1edd..509c1ec3d 100644
--- a/src/main/java/net/minecraft/core/crafting/ContainerListener.java
+++ b/src/main/java/net/minecraft/core/crafting/ContainerListener.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.crafting;
 
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.menu.AbstractContainerMenu;
+import net.minecraft.core.player.inventory.menu.MenuAbstract;
 
 import java.util.List;
 
@@ -10,9 +10,9 @@ import java.util.List;
 
 public interface ContainerListener
 {
-    void updateCraftingInventory(AbstractContainerMenu container, List<ItemStack> list);
+    void updateCraftingInventory(MenuAbstract container, List<ItemStack> list);
 	
-    void updateInventorySlot(AbstractContainerMenu container, int i, ItemStack itemstack);
+    void updateInventorySlot(MenuAbstract container, int i, ItemStack itemstack);
 
-    void updateCraftingInventoryInfo(AbstractContainerMenu container, int id, int value);
+    void updateCraftingInventoryInfo(MenuAbstract container, int id, int value);
 }
diff --git a/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java b/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
index 1c9d670d9..e6be04422 100644
--- a/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
+++ b/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
@@ -6,9 +6,9 @@ import java.util.List;
 import java.util.Set;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BaseLeavesBlock;
-import net.minecraft.core.block.LogBlock;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.block.BlockLeavesBase;
+import net.minecraft.core.block.BlockLog;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
@@ -47,7 +47,7 @@ public class TreecapitatorHelper {
 		}
 
 		ItemList itemList = null;
-		if(ItemEntity.enableItemClumping) {
+		if(EntityItem.enableItemClumping) {
 			itemList = new ItemList();
 		}
 		
@@ -133,8 +133,8 @@ public class TreecapitatorHelper {
 		for(int i=0; i < allBlocksList.size(); i++) {
 			ChunkPosition pos = allBlocksList.get(i);
 			Block block = world.getBlock(pos.x, pos.y, pos.z);
-			if(block instanceof BaseLeavesBlock) {
-				BaseLeavesBlock blockLeaves = (BaseLeavesBlock) block;
+			if(block instanceof BlockLeavesBase) {
+				BlockLeavesBase blockLeaves = (BlockLeavesBase) block;
 				
 				if(player.getGamemode().dropBlockOnBreak()) {
 					ItemStack[] drops = blockLeaves.getBreakResult(world, EnumDropCause.PROPER_TOOL, pos.x, pos.y, pos.z, world.getBlockMetadata(pos.x, pos.y, pos.z), null);
@@ -215,14 +215,14 @@ public class TreecapitatorHelper {
 	}
 	
 	protected boolean isLog(Block block) {
-		return block instanceof LogBlock;
+		return block instanceof BlockLog;
 	}
 	
 	protected boolean isDecayableLeaf(ChunkPosition pos) {
 		Block block = world.getBlock(pos.x, pos.y, pos.z);
-		if(block instanceof BaseLeavesBlock) {
+		if(block instanceof BlockLeavesBase) {
 			int meta = world.getBlockMetadata(pos.x, pos.y, pos.z);
-			if(BaseLeavesBlock.isPermanent(meta)) {
+			if(BlockLeavesBase.isPermanent(meta)) {
 				return false;
 			}
 			
@@ -266,7 +266,7 @@ public class TreecapitatorHelper {
 						Block block = world.getBlock(x + offX, y + offY, z + offZ);
 						if(isLog(block)) {
 							adjacentTreeBlocks[(offX + b) * a + (offY + b) * byte1 + (offZ + b)] = 0;
-						}else if(block instanceof BaseLeavesBlock) {
+						}else if(block instanceof BlockLeavesBase) {
 							adjacentTreeBlocks[(offX + b) * a + (offY + b) * byte1 + (offZ + b)] = -2;
 						} else {
 							adjacentTreeBlocks[(offX + b) * a + (offY + b) * byte1 + (offZ + b)] = -1;
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/RecipeRegistry.java b/src/main/java/net/minecraft/core/data/registry/recipe/RecipeRegistry.java
index 748ce6e9d..736695519 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/RecipeRegistry.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/RecipeRegistry.java
@@ -8,9 +8,8 @@ import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.data.registry.Registry;
 import net.minecraft.core.data.registry.recipe.entry.*;
 import net.minecraft.core.item.Item;
-import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 import java.util.*;
 
@@ -151,7 +150,7 @@ public class RecipeRegistry extends Registry<RecipeNamespace> {
         return Collections.unmodifiableList(recipes);
     }
 
-    public ItemStack findMatchingRecipe(CraftingContainer inventorycrafting)
+    public ItemStack findMatchingRecipe(ContainerCrafting inventorycrafting)
     {
         for(int i = 0; i < getAllCraftingRecipes().size(); i++)
         {
@@ -165,7 +164,7 @@ public class RecipeRegistry extends Registry<RecipeNamespace> {
         return null;
     }
 
-    public ItemStack[] onCraftResult(CraftingContainer inventorycrafting)
+    public ItemStack[] onCraftResult(ContainerCrafting inventorycrafting)
     {
         for(int i = 0; i < getAllCraftingRecipes().size(); i++)
         {
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCrafting.java b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCrafting.java
index e50fe88a7..548e63057 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCrafting.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCrafting.java
@@ -3,7 +3,7 @@ package net.minecraft.core.data.registry.recipe.entry;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 public abstract class RecipeEntryCrafting<I,O> extends RecipeEntryBase<I,O,Void> {
 
@@ -23,7 +23,7 @@ public abstract class RecipeEntryCrafting<I,O> extends RecipeEntryBase<I,O,Void>
         return false;
     }
 
-    public abstract boolean matches(CraftingContainer craftingContainer);
+    public abstract boolean matches(ContainerCrafting containerCrafting);
 
     public boolean matchesQueryIgnoreExceptions(SearchQuery query){
         try {
@@ -35,9 +35,9 @@ public abstract class RecipeEntryCrafting<I,O> extends RecipeEntryBase<I,O,Void>
 
     public abstract boolean matchesQuery(SearchQuery query);
 
-    public abstract ItemStack getCraftingResult(CraftingContainer craftingContainer);
+    public abstract ItemStack getCraftingResult(ContainerCrafting containerCrafting);
 
     public abstract int getRecipeSize();
 
-    public abstract ItemStack[] onCraftResult(CraftingContainer craftingContainer);
+    public abstract ItemStack[] onCraftResult(ContainerCrafting containerCrafting);
 }
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShaped.java b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShaped.java
index 80e8f6a5b..1138fbddf 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShaped.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShaped.java
@@ -9,7 +9,7 @@ import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.adapter.RecipeCraftingShapedJsonAdapter;
 import net.minecraft.core.data.registry.recipe.adapter.RecipeJsonAdapter;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 import java.util.List;
 import java.util.Objects;
@@ -56,13 +56,13 @@ public class RecipeEntryCraftingShaped extends RecipeEntryCrafting<RecipeSymbol[
     }
 
     @Override
-    public boolean matches(CraftingContainer craftingContainer) {
+    public boolean matches(ContainerCrafting containerCrafting) {
         for (int _w = 0; _w <= 3 - recipeWidth; _w++) {
             for (int _h = 0; _h <= 3 - recipeHeight; _h++) {
-                if (allowMirrored && isRecipeMatching(craftingContainer, _w, _h, true)) {
+                if (allowMirrored && isRecipeMatching(containerCrafting, _w, _h, true)) {
                     return true;
                 }
-                if (isRecipeMatching(craftingContainer, _w, _h, false)) {
+                if (isRecipeMatching(containerCrafting, _w, _h, false)) {
                     return true;
                 }
             }
@@ -152,7 +152,7 @@ public class RecipeEntryCraftingShaped extends RecipeEntryCrafting<RecipeSymbol[
         return false;
     }
 
-    private boolean isRecipeMatching(CraftingContainer inventory, int x, int y, boolean mirror) {
+    private boolean isRecipeMatching(ContainerCrafting inventory, int x, int y, boolean mirror) {
         for (int k = 0; k < 3; k++) {
             for (int l = 0; l < 3; l++) {
                 int i1 = k - x;
@@ -187,21 +187,21 @@ public class RecipeEntryCraftingShaped extends RecipeEntryCrafting<RecipeSymbol[
     }
 
     @Override
-    public ItemStack getCraftingResult(CraftingContainer craftingContainer) {
+    public ItemStack getCraftingResult(ContainerCrafting containerCrafting) {
         return new ItemStack(getOutput().itemID, getOutput().stackSize, getOutput().getMetadata());
     }
 
     @Override
-    public ItemStack[] onCraftResult(CraftingContainer craftingContainer) {
+    public ItemStack[] onCraftResult(ContainerCrafting containerCrafting) {
         ItemStack[] returnStack = new ItemStack[9];
-        for (int i = 0; i < craftingContainer.getContainerSize(); i++) {
-            ItemStack itemstack1 = craftingContainer.getItem(i);
+        for (int i = 0; i < containerCrafting.getContainerSize(); i++) {
+            ItemStack itemstack1 = containerCrafting.getItem(i);
             if (itemstack1 == null) {
                 continue;
             }
-            craftingContainer.removeItem(i, 1);
+            containerCrafting.removeItem(i, 1);
             if (!consumeContainerItem && itemstack1.getItem().hasContainerItem()) {
-                craftingContainer.setItem(i, new ItemStack(itemstack1.getItem().getContainerItem()));
+                containerCrafting.setItem(i, new ItemStack(itemstack1.getItem().getContainerItem()));
             }
         }
         return returnStack;
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShapeless.java b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShapeless.java
index 81e7fce33..c2cee07e5 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShapeless.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingShapeless.java
@@ -9,7 +9,7 @@ import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.adapter.RecipeCraftingShapelessJsonAdapter;
 import net.minecraft.core.data.registry.recipe.adapter.RecipeJsonAdapter;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 import java.util.ArrayList;
 import java.util.List;
@@ -23,7 +23,7 @@ public class RecipeEntryCraftingShapeless extends RecipeEntryCrafting<List<Recip
     public RecipeEntryCraftingShapeless() {}
 
     @Override
-    public boolean matches(CraftingContainer craftingContainer)
+    public boolean matches(ContainerCrafting containerCrafting)
     {
         ArrayList<RecipeSymbol> arraylist = new ArrayList<>(getInput());
         int i = 0;
@@ -35,7 +35,7 @@ public class RecipeEntryCraftingShapeless extends RecipeEntryCrafting<List<Recip
             }
             for(int j = 0; j < 3; j++)
             {
-                ItemStack itemstack = craftingContainer.getItemStackAt(j, i);
+                ItemStack itemstack = containerCrafting.getItemStackAt(j, i);
                 if(itemstack == null)
                 {
                     continue;
@@ -141,26 +141,26 @@ public class RecipeEntryCraftingShapeless extends RecipeEntryCrafting<List<Recip
     }
 
     @Override
-    public ItemStack[] onCraftResult(CraftingContainer craftingContainer){
+    public ItemStack[] onCraftResult(ContainerCrafting containerCrafting){
         ItemStack[] returnStack = new ItemStack[9];
-        for(int i = 0; i < craftingContainer.getContainerSize(); i++)
+        for(int i = 0; i < containerCrafting.getContainerSize(); i++)
         {
-            ItemStack itemStack = craftingContainer.getItem(i);
+            ItemStack itemStack = containerCrafting.getItem(i);
             if(itemStack == null)
             {
                 continue;
             }
-            craftingContainer.removeItem(i, 1);
+            containerCrafting.removeItem(i, 1);
             if(itemStack.getItem().hasContainerItem())
             {
-                craftingContainer.setItem(i, new ItemStack(itemStack.getItem().getContainerItem()));
+                containerCrafting.setItem(i, new ItemStack(itemStack.getItem().getContainerItem()));
             }
         }
         return returnStack;
     }
 
     @Override
-    public ItemStack getCraftingResult(CraftingContainer craftingContainer)
+    public ItemStack getCraftingResult(ContainerCrafting containerCrafting)
     {
         return getOutput().copy();
     }
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java
index c20817f61..c8f46f4b9 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryCraftingWithTool.java
@@ -8,9 +8,8 @@ import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.adapter.RecipeEntryCraftingWithToolJsonAdapter;
 import net.minecraft.core.data.registry.recipe.adapter.RecipeJsonAdapter;
-import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 import java.util.List;
 import java.util.Objects;
@@ -29,13 +28,13 @@ public class RecipeEntryCraftingWithTool extends RecipeEntryCraftingDynamic impl
     }
 
     @Override
-    public boolean matches(CraftingContainer craftingContainer) {
+    public boolean matches(ContainerCrafting containerCrafting) {
         boolean toolMatch = false;
         boolean itemMatch = false;
 
         for (int x = 0; x < 3; x++) {
             for (int y = 0; y < 3; y++) {
-                ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if (stack == null) continue;
                 if (toolToUse.matches(stack)) {
                     toolMatch = true;
@@ -132,16 +131,16 @@ public class RecipeEntryCraftingWithTool extends RecipeEntryCraftingDynamic impl
     }
 
     @Override
-    public ItemStack getCraftingResult(CraftingContainer craftingContainer) {
+    public ItemStack getCraftingResult(ContainerCrafting containerCrafting) {
         return new ItemStack(output.itemID, output.stackSize, output.getMetadata());
     }
 
     @Override
-    public ItemStack[] onCraftResult(CraftingContainer craftingContainer) {
+    public ItemStack[] onCraftResult(ContainerCrafting containerCrafting) {
         ItemStack[] returnStack = new ItemStack[9];
         for (int x = 0; x < 3; x++) {
             for (int y = 0; y < 3; y++) {
-                ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if (stack == null) continue;
                 ItemStack stack2;
 
@@ -158,7 +157,7 @@ public class RecipeEntryCraftingWithTool extends RecipeEntryCraftingDynamic impl
                         stack2 = new ItemStack(stack.getItem(), stack.stackSize - 1);
                     }
                 }
-                craftingContainer.setSlotContentsAt(x, y, stack2);
+                containerCrafting.setSlotContentsAt(x, y, stack2);
             }
         }
         return returnStack;
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabel.java b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabel.java
index c03d85fc6..d696a7b67 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabel.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabel.java
@@ -7,20 +7,20 @@ import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 import java.util.List;
 import java.util.Objects;
 
 public class RecipeEntryLabel extends RecipeEntryCraftingDynamic {
     @Override
-    public ItemStack getCraftingResult(final CraftingContainer craftingContainer) {
+    public ItemStack getCraftingResult(final ContainerCrafting containerCrafting) {
         ItemStack labelStack = null;
         ItemStack otherItem = null;
 
         label0: for(int x = 0; x < 3; x++) {
             for(int y = 0; y < 3; y++) {
-                final ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                final ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if(stack == null) {
                     continue;
                 }
@@ -55,13 +55,13 @@ public class RecipeEntryLabel extends RecipeEntryCraftingDynamic {
     }
 
     @Override
-    public boolean matches(final CraftingContainer craftingContainer) {
+    public boolean matches(final ContainerCrafting containerCrafting) {
         ItemStack labelStack = null;
         ItemStack otherStack = null;
 
         for(int x = 0; x < 3; x++) {
             for(int y = 0; y < 3; y++) {
-                final ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                final ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if(stack == null) {
                     continue;
                 }
@@ -182,18 +182,18 @@ public class RecipeEntryLabel extends RecipeEntryCraftingDynamic {
     }
 
     @Override
-    public ItemStack[] onCraftResult(final CraftingContainer craftingContainer) {
+    public ItemStack[] onCraftResult(final ContainerCrafting containerCrafting) {
         final ItemStack[] returnStack = new ItemStack[9];
         for(int x = 0; x < 3; x++) {
             for(int y = 0; y < 3; y++) {
-                final ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                final ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if(stack == null) {
                     continue;
                 }
                 if(stack.itemID != Items.LABEL.id) {
                     stack.stackSize--;
                     if(stack.stackSize <= 0) {
-                        craftingContainer.setSlotContentsAt(x, y, null);
+                        containerCrafting.setSlotContentsAt(x, y, null);
                     }
                 }
             }
diff --git a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabelDye.java b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabelDye.java
index 28f7a448a..4fb1a84c7 100644
--- a/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabelDye.java
+++ b/src/main/java/net/minecraft/core/data/registry/recipe/entry/RecipeEntryLabelDye.java
@@ -7,20 +7,20 @@ import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.player.inventory.container.CraftingContainer;
+import net.minecraft.core.player.inventory.container.ContainerCrafting;
 
 import java.util.List;
 import java.util.Objects;
 
 public class RecipeEntryLabelDye extends RecipeEntryCraftingDynamic{
     @Override
-    public ItemStack getCraftingResult(final CraftingContainer craftingContainer) {
+    public ItemStack getCraftingResult(final ContainerCrafting containerCrafting) {
         ItemStack labelStack = null;
         ItemStack dyeStack = null;
 
         label0: for(int x = 0; x < 3; x++) {
             for(int y = 0; y < 3; y++) {
-                final ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                final ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if(stack == null) {
                     continue;
                 }
@@ -52,13 +52,13 @@ public class RecipeEntryLabelDye extends RecipeEntryCraftingDynamic{
     }
 
     @Override
-    public boolean matches(final CraftingContainer craftingContainer) {
+    public boolean matches(final ContainerCrafting containerCrafting) {
         ItemStack labelStack = null;
         ItemStack dyeStack = null;
 
         for(int x = 0; x < 3; x++) {
             for(int y = 0; y < 3; y++) {
-                final ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                final ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if(stack == null) {
                     continue;
                 }
@@ -171,17 +171,17 @@ public class RecipeEntryLabelDye extends RecipeEntryCraftingDynamic{
     }
 
     @Override
-    public ItemStack[] onCraftResult(final CraftingContainer craftingContainer) {
+    public ItemStack[] onCraftResult(final ContainerCrafting containerCrafting) {
         final ItemStack[] returnStack = new ItemStack[9];
         for(int x = 0; x < 3; x++) {
             for(int y = 0; y < 3; y++) {
-                final ItemStack stack = craftingContainer.getItemStackAt(x, y);
+                final ItemStack stack = containerCrafting.getItemStackAt(x, y);
                 if(stack == null) {
                     continue;
                 }
                 stack.stackSize--;
                 if(stack.stackSize <= 0) {
-                    craftingContainer.setSlotContentsAt(x, y, null);
+                    containerCrafting.setSlotContentsAt(x, y, null);
                 }
             }
         }
